package com.bcxin.tenant.open.domains.dtos;
import com.bcxin.tenant.open.infrastructures.enums.RecordStatus;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

@Data
public class AttendanceCompanyGroupDetailDTO implements Serializable {
    private String employeeId;
    private String name;
    private String idCard;
    private String securityCertificateNo;
    private String organizationId;
    private String companyName;
    private RecordStatus status;
    private Timestamp createdTime;
    private String address;
    private final String securityStationId;
    private String securityStationName;
    private final String securityDepartId;
    private String securityDepartName;
    private String securityStationAddress;

    private String projectId;
    private String projectName;
}
