package com.bcxin.tenant.open.domains.dtos;

import com.bcxin.tenant.open.infrastructures.enums.DispatchAccountType;
import lombok.Getter;

@Getter
public class LogoSettingDTO {
    private final String deviceNo;
    private final DispatchAccountType deviceType;
    private final String logo;
    private final String title;
    private final String operatorId;
    private final String operatorName;

    public LogoSettingDTO(String deviceNo, DispatchAccountType deviceType, String logo, String title, String operatorId, String operatorName) {
        this.deviceNo = deviceNo;
        this.deviceType = deviceType;
        this.logo = logo;
        this.title = title;
        this.operatorId = operatorId;
        this.operatorName = operatorName;
    }

    public static LogoSettingDTO create(String deviceNo, DispatchAccountType deviceType, String logo, String title, String operatorId, String operatorName){
        return new LogoSettingDTO(deviceNo,deviceType,logo,title,operatorId,operatorName);
    }
}
